net.sf.jasperreports.engine.fill

## Class JRFillSubreportReturnValue

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRFillSubreportReturnValue

- All Implemented Interfaces:
    java.lang.Cloneable, JRCloneable, JRSubreportReturnValue

      public class JRFillSubreportReturnValue
      extends java.lang.Object
      implements JRSubreportReturnValue

  Implementation of `JRSubreportReturnValue` used by the filler.
  Version:
    $Id: JRFillSubreportReturnValue.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CalculationEnum` | `calculation`
    `protected JRBaseFiller` | `filler`
    `protected java.lang.String` | `fromVariable`
    `protected JRIncrementer` | `incrementer`
    `protected java.lang.String` | `incrementerFactoryClassName`
    `protected java.lang.String` | `toVariable`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRFillSubreportReturnValue(JRSubreportReturnValue returnValue, JRFillObjectFactory factory, JRBaseFiller filler)`
    `` | `JRFillSubreportReturnValue(ReturnValue returnValue, JRFillObjectFactory factory, JRBaseFiller filler)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `CalculationEnum` | `getCalculationValue()` Returns the calculation type.
    `JRIncrementer` | `getIncrementer()` Gets the incrementer to be used for this copied value.
    `java.lang.String` | `getIncrementerFactoryClassName()` Returns the incrementer factory class name.
    `java.lang.String` | `getSubreportVariable()` Returns the name of the subreport variable whose value should be copied.
    `java.lang.String` | `getToVariable()` Returns the name of the master report variable where the value should be copied.
    `boolean` | `isDerived()`
    `void` | `setDerived(boolean derived)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fromVariable

          protected final java.lang.String fromVariable

    - #### toVariable

          protected final java.lang.String toVariable

    - #### incrementerFactoryClassName

          protected final java.lang.String incrementerFactoryClassName

    - #### calculation

          protected final CalculationEnum calculation

    - #### incrementer

          protected JRIncrementer incrementer

    - #### filler

          protected final JRBaseFiller filler

  - ### Constructor Detail

    - #### JRFillSubreportReturnValue

          protected JRFillSubreportReturnValue(JRSubreportReturnValue returnValue,
                                    JRFillObjectFactory factory,
                                    JRBaseFiller filler)

    - #### JRFillSubreportReturnValue

          public JRFillSubreportReturnValue(ReturnValue returnValue,
                                    JRFillObjectFactory factory,
                                    JRBaseFiller filler)

  - ### Method Detail

    - #### getSubreportVariable

          public java.lang.String getSubreportVariable()

      Description copied from interface: `JRSubreportReturnValue`
      Returns the name of the subreport variable whose value should be copied.
      Specified by:
        `getSubreportVariable` in interface `JRSubreportReturnValue`
      Returns:
        the name of the subreport variable whose value should be copied.

    - #### getToVariable

          public java.lang.String getToVariable()

      Description copied from interface: `JRSubreportReturnValue`
      Returns the name of the master report variable where the value should be copied.
      Specified by:
        `getToVariable` in interface `JRSubreportReturnValue`
      Returns:
        the name of the master report variable where the value should be copied.

    - #### getIncrementerFactoryClassName

          public java.lang.String getIncrementerFactoryClassName()

      Description copied from interface: `JRSubreportReturnValue`
      Returns the incrementer factory class name.

      The factory will be used to increment the value of the master report variable with the value from the subreport.

      Specified by:
        `getIncrementerFactoryClassName` in interface `JRSubreportReturnValue`
      Returns:
        the incrementer factory class name.

    - #### getCalculationValue

          public CalculationEnum getCalculationValue()

      Description copied from interface: `JRSubreportReturnValue`
      Returns the calculation type.

      When copying the value from the subreport, a formula can be applied such that sum, maximum, average and so on can be computed.

      Specified by:
        `getCalculationValue` in interface `JRSubreportReturnValue`
      Returns:
        the calculation type.

    - #### getIncrementer

          public JRIncrementer getIncrementer()

      Gets the incrementer to be used for this copied value.

    - #### isDerived

          public boolean isDerived()

    - #### setDerived

          public void setDerived(boolean derived)

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com